### Signal

# WebKit2 UserContentManager::script-message-received

#### Declaration

    void
    script_message_received (
      WebKitUserContentManager* self,
      WebKitJavascriptResult* js_result,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when JavaScript in a web view calls `window.webkit.messageHandlers.<name>.postMessage()`, after registering `<name>` using `webkit_user_content_manager_register_script_message_handler()`

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: | 2.8

#### Parameters

`js_result` | `WebKitJavascriptResult`
| The `WebKitJavascriptResult` holding the value received from the JavaScript world.
| The data is owned by the caller of the function.